// ignore_for_file: file_names

library lokalise_flutter_sdk;

import 'dart:io';
import 'package:lokalise_flutter_sdk/src/generator/generator.dart';
import 'package:lokalise_flutter_sdk/src/generator/generator_config.dart';
import 'package:lokalise_flutter_sdk/src/generator/generator_exception.dart';
import 'package:lokalise_flutter_sdk/src/generator/utils/utils.dart';
import 'package:path/path.dart';
import 'package:yaml/yaml.dart';

Future<void> main(List<String> args) async {
  final arbDir = join('lib', 'l10n');

  try {
    final generator = Generator(config: _getConfig(arbDir));
    await generator.generateAsync();
  } on GeneratorException catch (e) {
    exitWithError(e.message);
  } catch (e) {
    exitWithError('Failed to generate localization files.\n$e');
  }
}

GeneratorConfig _getConfig(String arbDir) {
  String filePath =
      join(Directory.current.path, arbDir, GeneratorConfig.fileName);
  File configFile = File(filePath);

  if (configFile.existsSync()) {
    YamlMap? map = loadYaml(configFile.readAsStringSync());
    if (map != null && map.isNotEmpty) {
      return GeneratorConfig.fromYml(arbDir: arbDir, yml: map);
    }
  }

  return GeneratorConfig.byDefault(arbDir: arbDir);
}
