class ValidationError<T> {
  final Type type;
  final String path;
  final T received;
  final Type? expectedType;

  ValidationError({
    required this.type,
    required this.path,
    required this.received,
    this.expectedType,
  });

  get message {
    String message = '${type.toString()} ->';
    if (expectedType != null) {
      message =
          '$message [$path] invalid type (received: $received expected: ${expectedType.toString()})';
    } else {
      message = '$message [$path] not valid (received: $received)';
    }

    return '${type.toString()}: $message';
  }
}
