import 'package:lokalise_flutter_sdk/src/ota/domain/data_source/local_bundle_data_source.dart';
import 'package:lokalise_flutter_sdk/src/ota/domain/models/bundle.dart';

class GetLocalBundleUseCase {
  final LocalBundleDataSource _localDS;

  GetLocalBundleUseCase({
    required LocalBundleDataSource localBundleDataSource,
  }) : _localDS = localBundleDataSource;

  Future<Bundle> getBundle({
    required String projectId,
    required String appVersion,
  }) async {
    Bundle? bundle;

    try {
      bundle = _localDS.getBundle();

      if (bundle?.projectId != projectId || bundle?.appVersion != appVersion) {
        await _localDS.removeBundle();
        bundle = null;
      }
    } catch (_) {
      // nothing to do now, in the future we will send the error to our server
    }

    return bundle ?? Bundle.empty(projectId: projectId, appVersion: appVersion);
  }
}
